# DaprProtos.PublishEventRequest.Builder (dapr-sdk-parent 1.10.0 API)

Package io.dapr.v1

## Class DaprProtos.PublishEventRequest.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.PublishEventRequest.Builder>
      - - io.dapr.v1.DaprProtos.PublishEventRequest.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `DaprProtos.PublishEventRequestOrBuilder`, `Cloneable`

Enclosing class:
  DaprProtos.PublishEventRequest

    public static final class DaprProtos.PublishEventRequest.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.PublishEventRequest.Builder>
    implements DaprProtos.PublishEventRequestOrBuilder

     PublishEventRequest is the message to publish event data to pubsub topic

Protobuf type `dapr.proto.runtime.v1.PublishEventRequest`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`DaprProtos.PublishEventRequest.Builder` `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprProtos.PublishEventRequest` `build()`
`DaprProtos.PublishEventRequest` `buildPartial()`
`DaprProtos.PublishEventRequest.Builder` `clear()`
`DaprProtos.PublishEventRequest.Builder` `clearData()` The data which will be published to topic.
`DaprProtos.PublishEventRequest.Builder` `clearDataContentType()` The content type for the data (optional).
`DaprProtos.PublishEventRequest.Builder` `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)`
`DaprProtos.PublishEventRequest.Builder` `clearMetadata()`
`DaprProtos.PublishEventRequest.Builder` `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`DaprProtos.PublishEventRequest.Builder` `clearPubsubName()` The name of the pubsub component
`DaprProtos.PublishEventRequest.Builder` `clearTopic()` The pubsub topic
`DaprProtos.PublishEventRequest.Builder` `clone()`
`boolean` `containsMetadata​(String key)` The metadata passing to pub components metadata property: - key : the key of the message.
`com.google.protobuf.ByteString` `getData()` The data which will be published to topic.
`String` `getDataContentType()` The content type for the data (optional).
`com.google.protobuf.ByteString` `getDataContentTypeBytes()` The content type for the data (optional).
`DaprProtos.PublishEventRequest` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`Map<String,​String>` `getMetadata()` Deprecated.
`int` `getMetadataCount()` The metadata passing to pub components metadata property: - key : the key of the message.
`Map<String,​String>` `getMetadataMap()` The metadata passing to pub components metadata property: - key : the key of the message.
`String` `getMetadataOrDefault​(String key, String defaultValue)` The metadata passing to pub components metadata property: - key : the key of the message.
`String` `getMetadataOrThrow​(String key)` The metadata passing to pub components metadata property: - key : the key of the message.
`Map<String,​String>` `getMutableMetadata()` Deprecated.
`String` `getPubsubName()` The name of the pubsub component
`com.google.protobuf.ByteString` `getPubsubNameBytes()` The name of the pubsub component
`String` `getTopic()` The pubsub topic
`com.google.protobuf.ByteString` `getTopicBytes()` The pubsub topic
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`protected com.google.protobuf.MapField` `internalGetMapField​(int number)`
`protected com.google.protobuf.MapField` `internalGetMutableMapField​(int number)`
`boolean` `isInitialized()`
`DaprProtos.PublishEventRequest.Builder` `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`DaprProtos.PublishEventRequest.Builder` `mergeFrom​(com.google.protobuf.Message other)`
`DaprProtos.PublishEventRequest.Builder` `mergeFrom​(DaprProtos.PublishEventRequest other)`
`DaprProtos.PublishEventRequest.Builder` `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`
`DaprProtos.PublishEventRequest.Builder` `putAllMetadata​(Map<String,​String> values)` The metadata passing to pub components metadata property: - key : the key of the message.
`DaprProtos.PublishEventRequest.Builder` `putMetadata​(String key, String value)` The metadata passing to pub components metadata property: - key : the key of the message.
`DaprProtos.PublishEventRequest.Builder` `removeMetadata​(String key)` The metadata passing to pub components metadata property: - key : the key of the message.
`DaprProtos.PublishEventRequest.Builder` `setData​(com.google.protobuf.ByteString value)` The data which will be published to topic.
`DaprProtos.PublishEventRequest.Builder` `setDataContentType​(String value)` The content type for the data (optional).
`DaprProtos.PublishEventRequest.Builder` `setDataContentTypeBytes​(com.google.protobuf.ByteString value)` The content type for the data (optional).
`DaprProtos.PublishEventRequest.Builder` `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprProtos.PublishEventRequest.Builder` `setPubsubName​(String value)` The name of the pubsub component
`DaprProtos.PublishEventRequest.Builder` `setPubsubNameBytes​(com.google.protobuf.ByteString value)` The name of the pubsub component
`DaprProtos.PublishEventRequest.Builder` `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`DaprProtos.PublishEventRequest.Builder` `setTopic​(String value)` The pubsub topic
`DaprProtos.PublishEventRequest.Builder` `setTopicBytes​(com.google.protobuf.ByteString value)` The pubsub topic
`DaprProtos.PublishEventRequest.Builder` `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetMapField

    protected com.google.protobuf.MapField internalGetMapField​(int number)

Overrides:
  `internalGetMapField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.PublishEventRequest.Builder>`

#### internalGetMutableMapField

    protected com.google.protobuf.MapField internalGetMutableMapField​(int number)

Overrides:
  `internalGetMutableMapField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.PublishEventRequest.Builder>`

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.PublishEventRequest.Builder>`

#### clear

    public DaprProtos.PublishEventRequest.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.PublishEventRequest.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.PublishEventRequest.Builder>`

#### getDefaultInstanceForType

    public DaprProtos.PublishEventRequest getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public DaprProtos.PublishEventRequest build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public DaprProtos.PublishEventRequest buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public DaprProtos.PublishEventRequest.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.PublishEventRequest.Builder>`

#### setField

    public DaprProtos.PublishEventRequest.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                           Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.PublishEventRequest.Builder>`

#### clearField

    public DaprProtos.PublishEventRequest.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.PublishEventRequest.Builder>`

#### clearOneof

    public DaprProtos.PublishEventRequest.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.PublishEventRequest.Builder>`

#### setRepeatedField

    public DaprProtos.PublishEventRequest.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                   int index,
                                                                   Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.PublishEventRequest.Builder>`

#### addRepeatedField

    public DaprProtos.PublishEventRequest.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                   Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.PublishEventRequest.Builder>`

#### mergeFrom

    public DaprProtos.PublishEventRequest.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.PublishEventRequest.Builder>`

#### mergeFrom

    public DaprProtos.PublishEventRequest.Builder mergeFrom​(DaprProtos.PublishEventRequest other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.PublishEventRequest.Builder>`

#### mergeFrom

    public DaprProtos.PublishEventRequest.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                                            com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                     throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.PublishEventRequest.Builder>`
Throws:
  `IOException`

#### getPubsubName

    public String getPubsubName()

     The name of the pubsub component

`string pubsub_name = 1;`

Specified by:
  `getPubsubName` in interface `DaprProtos.PublishEventRequestOrBuilder`
Returns:
  The pubsubName.

#### getPubsubNameBytes

    public com.google.protobuf.ByteString getPubsubNameBytes()

     The name of the pubsub component

`string pubsub_name = 1;`

Specified by:
  `getPubsubNameBytes` in interface `DaprProtos.PublishEventRequestOrBuilder`
Returns:
  The bytes for pubsubName.

#### setPubsubName

    public DaprProtos.PublishEventRequest.Builder setPubsubName​(String value)

     The name of the pubsub component

`string pubsub_name = 1;`

Parameters:
  `value` - The pubsubName to set.
Returns:
  This builder for chaining.

#### clearPubsubName

    public DaprProtos.PublishEventRequest.Builder clearPubsubName()

     The name of the pubsub component

`string pubsub_name = 1;`

Returns:
  This builder for chaining.

#### setPubsubNameBytes

    public DaprProtos.PublishEventRequest.Builder setPubsubNameBytes​(com.google.protobuf.ByteString value)

     The name of the pubsub component

`string pubsub_name = 1;`

Parameters:
  `value` - The bytes for pubsubName to set.
Returns:
  This builder for chaining.

#### getTopic

    public String getTopic()

     The pubsub topic

`string topic = 2;`

Specified by:
  `getTopic` in interface `DaprProtos.PublishEventRequestOrBuilder`
Returns:
  The topic.

#### getTopicBytes

    public com.google.protobuf.ByteString getTopicBytes()

     The pubsub topic

`string topic = 2;`

Specified by:
  `getTopicBytes` in interface `DaprProtos.PublishEventRequestOrBuilder`
Returns:
  The bytes for topic.

#### setTopic

    public DaprProtos.PublishEventRequest.Builder setTopic​(String value)

     The pubsub topic

`string topic = 2;`

Parameters:
  `value` - The topic to set.
Returns:
  This builder for chaining.

#### clearTopic

    public DaprProtos.PublishEventRequest.Builder clearTopic()

     The pubsub topic

`string topic = 2;`

Returns:
  This builder for chaining.

#### setTopicBytes

    public DaprProtos.PublishEventRequest.Builder setTopicBytes​(com.google.protobuf.ByteString value)

     The pubsub topic

`string topic = 2;`

Parameters:
  `value` - The bytes for topic to set.
Returns:
  This builder for chaining.

#### getData

    public com.google.protobuf.ByteString getData()

     The data which will be published to topic.

`bytes data = 3;`

Specified by:
  `getData` in interface `DaprProtos.PublishEventRequestOrBuilder`
Returns:
  The data.

#### setData

    public DaprProtos.PublishEventRequest.Builder setData​(com.google.protobuf.ByteString value)

     The data which will be published to topic.

`bytes data = 3;`

Parameters:
  `value` - The data to set.
Returns:
  This builder for chaining.

#### clearData

    public DaprProtos.PublishEventRequest.Builder clearData()

     The data which will be published to topic.

`bytes data = 3;`

Returns:
  This builder for chaining.

#### getDataContentType

    public String getDataContentType()

     The content type for the data (optional).

`string data_content_type = 4;`

Specified by:
  `getDataContentType` in interface `DaprProtos.PublishEventRequestOrBuilder`
Returns:
  The dataContentType.

#### getDataContentTypeBytes

    public com.google.protobuf.ByteString getDataContentTypeBytes()

     The content type for the data (optional).

`string data_content_type = 4;`

Specified by:
  `getDataContentTypeBytes` in interface `DaprProtos.PublishEventRequestOrBuilder`
Returns:
  The bytes for dataContentType.

#### setDataContentType

    public DaprProtos.PublishEventRequest.Builder setDataContentType​(String value)

     The content type for the data (optional).

`string data_content_type = 4;`

Parameters:
  `value` - The dataContentType to set.
Returns:
  This builder for chaining.

#### clearDataContentType

    public DaprProtos.PublishEventRequest.Builder clearDataContentType()

     The content type for the data (optional).

`string data_content_type = 4;`

Returns:
  This builder for chaining.

#### setDataContentTypeBytes

    public DaprProtos.PublishEventRequest.Builder setDataContentTypeBytes​(com.google.protobuf.ByteString value)

     The content type for the data (optional).

`string data_content_type = 4;`

Parameters:
  `value` - The bytes for dataContentType to set.
Returns:
  This builder for chaining.

#### getMetadataCount

    public int getMetadataCount()

Description copied from interface: `DaprProtos.PublishEventRequestOrBuilder`

     The metadata passing to pub components
     metadata property:
     - key : the key of the message.

`map<string, string> metadata = 5;`

Specified by:
  `getMetadataCount` in interface `DaprProtos.PublishEventRequestOrBuilder`

#### containsMetadata

    public boolean containsMetadata​(String key)

     The metadata passing to pub components
     metadata property:
     - key : the key of the message.

`map<string, string> metadata = 5;`

Specified by:
  `containsMetadata` in interface `DaprProtos.PublishEventRequestOrBuilder`

#### getMetadata

    @Deprecated
    public Map<String,​String> getMetadata()

Deprecated.
Use `getMetadataMap()` instead.

Specified by:
  `getMetadata` in interface `DaprProtos.PublishEventRequestOrBuilder`

#### getMetadataMap

    public Map<String,​String> getMetadataMap()

     The metadata passing to pub components
     metadata property:
     - key : the key of the message.

`map<string, string> metadata = 5;`

Specified by:
  `getMetadataMap` in interface `DaprProtos.PublishEventRequestOrBuilder`

#### getMetadataOrDefault

    public String getMetadataOrDefault​(String key,
                                       String defaultValue)

     The metadata passing to pub components
     metadata property:
     - key : the key of the message.

`map<string, string> metadata = 5;`

Specified by:
  `getMetadataOrDefault` in interface `DaprProtos.PublishEventRequestOrBuilder`

#### getMetadataOrThrow

    public String getMetadataOrThrow​(String key)

     The metadata passing to pub components
     metadata property:
     - key : the key of the message.

`map<string, string> metadata = 5;`

Specified by:
  `getMetadataOrThrow` in interface `DaprProtos.PublishEventRequestOrBuilder`

#### clearMetadata

    public DaprProtos.PublishEventRequest.Builder clearMetadata()

#### removeMetadata

    public DaprProtos.PublishEventRequest.Builder removeMetadata​(String key)

     The metadata passing to pub components
     metadata property:
     - key : the key of the message.

`map<string, string> metadata = 5;`

#### getMutableMetadata

    @Deprecated
    public Map<String,​String> getMutableMetadata()

Deprecated.
Use alternate mutation accessors instead.

#### putMetadata

    public DaprProtos.PublishEventRequest.Builder putMetadata​(String key,
                                                              String value)

     The metadata passing to pub components
     metadata property:
     - key : the key of the message.

`map<string, string> metadata = 5;`

#### putAllMetadata

    public DaprProtos.PublishEventRequest.Builder putAllMetadata​(Map<String,​String> values)

     The metadata passing to pub components
     metadata property:
     - key : the key of the message.

`map<string, string> metadata = 5;`

#### setUnknownFields

    public final DaprProtos.PublishEventRequest.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.PublishEventRequest.Builder>`

#### mergeUnknownFields

    public final DaprProtos.PublishEventRequest.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.PublishEventRequest.Builder>`